# Created by pyp2rpm-1.1.2
%global pypi_name passpie

Name:           %{pypi_name}
Version:        0.2.1
Release:        2%{?dist}
Summary:        Manage your login credentials from the terminal painlessly

License:        MIT
URL:            https://marcwebbie.github.io/passpie
Source0:        https://pypi.python.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pytest
BuildRequires:  python3-pytest-cov
BuildRequires:  python3-pytest-mock
BuildRequires:  python3-mock
BuildRequires:  python3-tinydb
BuildRequires:  python3-gnupg
BuildRequires:  python3-PyYAML
BuildRequires:  python3-click
BuildRequires:  python3-tabulate
 
Requires:       python3-setuptools
Requires:       python3-tinydb
Requires:       python3-gnupg
Requires:       python3-PyYAML
Requires:       python3-click
Requires:       python3-tabulate
Patch0:         passpie-desc.paatch 
Patch1:         passpie-req.patch 

%description
# Passpie: Manage login credentials from terminal
[Passpie](https://marcwebbie.github.io/passpie) lets you manage login
credentials from the terminal with a coloroful/configurable cli interface.
Password files are saved into yaml text files with passwords as
[GnuPG](http://en.wikipedia.org/wiki/GNU_Privacy_Guard) encrypted strings. Use
your master passphrase to decrypt login credentials, copy ...


%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info
%patch0 -p1
%patch1 -p1



%build
%{__python3} setup.py build


%install
%{__python3} setup.py install --skip-build --root %{buildroot}


%check
LANG=en_GB.utf8 LC_ALL=en_GB.utf8 PYTHONPATH=$(pwd) py.test-%{python3_version} tests --tb=long --verbose
rm -rf %{buildroot}%{python3_sitelib}/tests


%files
%doc README.md
%{_bindir}/passpie
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%changelog
* Sun May 31 2015 Robert Kuska <rkuska@redhat.com> - 0.2.1-2
- Remove specific requirments
* Sun May 31 2015 Robert Kuska <rkuska@redhat.com> - 0.2.1-1
- Initial package.
